www.mikrocontroller.net

Forum: Mikrocontroller und Digitale Elektronik MBLAP ICD Firmware update


Autor: Heri Krainer (heri)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Hallo, ich brauche Eure Hilfe.

Nach einem CCS-Software update wurde ich aufgefordert, dass ich auch die 
Firmware updaten soll.
Ich habe mir nichts böses dabei gedacht.
Nach diesem update bekomme ich die Fehlermeldung
"MPLAB ICD Operating System V. 2.00 or grater is required for this 
function" oder Could not connect: No response from ICD, the firmware 
loaded is wrong"
Welche Möglichkeit besteht, die Firmware für einen PIC 16F877
zu ändert.
Bitte um Hilfe

Heri

Autor: TK (Gast)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Welche ICD Firmware läuft denn bis jetzt?
Wenn nur die ICD Firmware V2.0 benötigt wird, dann schau mal bei 
Microchip auf die Seite. Da kann man sich die aktuelle Firmware 
runterladen. Oder
wenn Du eine MicrochipCD hast - da ist auch eine Firmware drauf. Dann 
nur noch an den ICD übertragen - fertig.

Gruß
huibuh07

Autor: Heri Krainer (heri)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Hallo huibuh07,

danke für deinen Rat.
Mein Problem ist, dass ich nicht weis wie ich ein update auf den Pic 
bekomme. Mit MPLAB erhalte ich beim Verbindungsaugbau (COM1) immer die 
Fehlermeldung.

heri

Autor: Heri Krainer (heri)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Durch das Update vom Compiler ist irgend eine Firmware auf den PIC 
geschrieben worden

Heri

Autor: TK (Gast)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Hallo heri,
ich glaube, ich hab da was falsch verstanden?!?
Geht es hier um die Firmware IM ICD?? Oder geht es um eine Firmware,
die auf einem ext. PIC16F877 läuft, und dieser lässt sich nicht mehr
ansprechen?

gruß
huibuh07

Autor: Heri Krainer (heri)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Hallo huibuh07,
ich bin der Meinung das die Fehlermeldung darauf hinweisst, das im 
ICD1(Pic16F867) durch die Verwendung des CCS-Compiler-Update eine 
falsche Firmware gespeichert wurde. Ich glaube ich habe bei der Abfrage 
des Compiler ob die Firmware upgedatet werden sollte, leider auf ja 
geklickt.

Seit damals bekomme ich die Fehlermeldung  "MPLAB ICD Operating System 
V. 2.00 or grater is required for this function"
oder "Could not connect: No response from ICD, the firmware
loaded is wrong"
Es handelt sich um einen ICD1 und  die MPLAB v. 5.70.40 Software.
Auf der CD-von Microchip gibt es eine Datei MPL876.Hexm mit dieser 
sollte ein update des ICD möglich sein.
Leider ist die Seriele Schnittstelle blockiert.

Für rasche Hilfe (Schulprojekt) wäre ich sehr dankbar

Heri

Antwort schreiben

Die Angabe einer E-Mail-Adresse ist freiwillig. Wenn Sie automatisch per E-Mail über Antworten auf Ihren Beitrag informiert werden möchten, melden Sie sich bitte an.

Wichtige Regeln - erst lesen, dann posten!

  • Groß- und Kleinschreibung verwenden
  • Längeren Sourcecode nicht im Text einfügen, sondern als Dateianhang

Formatierung (mehr Informationen...)

  • [c]C-Code[/c]
  • [avrasm]AVR-Assembler-Code[/avrasm]
  • [code]Code in anderen Sprachen, ASCII-Zeichnungen[/code]
  • [math]Formel in LaTeX-Syntax[/math]
  • [[Titel]] - Link zu Artikel
  • Verweis auf anderen Beitrag einfügen: Rechtsklick auf Beitragstitel,
    "Adresse kopieren", und in den Text einfügen




Bild automatisch verkleinern, falls nötig
Bitte das JPG-Format nur für Fotos und Scans verwenden!
Zeichnungen und Screenshots im PNG- oder
GIF-Format hochladen. Siehe Bildformate.
Hinweis: der ursprüngliche Beitrag ist mehr als 6 Monate alt.
Bitte hier nur auf die ursprüngliche Frage antworten,
für neue Fragen einen neuen Beitrag erstellen.

Mit dem Abschicken bestätigst du, die Nutzungsbedingungen anzuerkennen.